com.unitech.stuhfl

## Class STUHFL_T_Gen2_GenericCmd

- java.lang.Object
- - com.unitech.stuhflBridge.BR_Gen2_GenericCmd
  - - com.unitech.stuhfl.STUHFL_T_Gen2_GenericCmd

-     public class STUHFL_T_Gen2_GenericCmd
      extends BR_Gen2_GenericCmd

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_Gen2_GenericCmd

      `BR_Gen2_GenericCmd.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `appendRN16` < I Param: Size in bits of data sent to Tag.
    `STUHFL_E.GEN2_GENERIC_CMD` | `cmd` < I Param: Password.
    `int` | `expectedRcvDataBitLength` < I Param: Tag response timeout.
    `short` | `noResponseTime` < I Param: Generic command type.
    `byte[]` | `pwd`
    `byte[]` | `rcvData` < I Param: Data being sent to Tag.
    `byte[]` | `sndData` < I Param: Append tag handle to generic command.
    `int` | `sndDataBitLength` < I Param: Size in bits of expected received data.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_Gen2_GenericCmd()`
    `STUHFL_T_Gen2_GenericCmd(byte[] pwd, STUHFL_E.GEN2_GENERIC_CMD cmd, short noResponseTime, int expectedRcvDataBitLength, int sndDataBitLength, boolean appendRN16, byte[] sndData, byte[] rcvData)`
    `STUHFL_T_Gen2_GenericCmd(STUHFL_T_Gen2_GenericCmd other)` < O Param: Data received from Tag.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `execute()` Perform generic Gen2 bit exchange
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_Gen2_GenericCmd

      `_Exec`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### pwd

          public byte[] pwd

    - #### cmd

          public STUHFL_E.GEN2_GENERIC_CMD cmd

      < I Param: Password.

    - #### noResponseTime

          public short noResponseTime

      < I Param: Generic command type.

    - #### expectedRcvDataBitLength

          public int expectedRcvDataBitLength

      < I Param: Tag response timeout.

    - #### sndDataBitLength

          public int sndDataBitLength

      < I Param: Size in bits of expected received data. NOTE: For the direct commands 0x90 and 0x91 (Tranmission with CRC) CRC is handled by HW and need not to be included into the expected bit count. The received CRC will also not replied to the host. When using command 0x92 handling of any data integrity checking must be done manually.

    - #### appendRN16

          public boolean appendRN16

      < I Param: Size in bits of data sent to Tag.

    - #### sndData

          public byte[] sndData

      < I Param: Append tag handle to generic command.

    - #### rcvData

          public byte[] rcvData

      < I Param: Data being sent to Tag.

  - ### Constructor Detail

    - #### STUHFL_T_Gen2_GenericCmd

          public STUHFL_T_Gen2_GenericCmd(STUHFL_T_Gen2_GenericCmd other)

      < O Param: Data received from Tag.

    - #### STUHFL_T_Gen2_GenericCmd

          public STUHFL_T_Gen2_GenericCmd(byte[] pwd,
                                          STUHFL_E.GEN2_GENERIC_CMD cmd,
                                          short noResponseTime,
                                          int expectedRcvDataBitLength,
                                          int sndDataBitLength,
                                          boolean appendRN16,
                                          byte[] sndData,
                                          byte[] rcvData)

    - #### STUHFL_T_Gen2_GenericCmd

          public STUHFL_T_Gen2_GenericCmd()

  - ### Method Detail

    - #### execute

          public STUHFL_E.RET_CODE execute()

      Perform generic Gen2 bit exchange
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`